#88688 Report by node docker-deb-debian_9_stretch covering 1942 tests from 53 modules resulted into 4 errors

Report

ObsPy Version
1.1.0rc3
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
1132.7 sec
Report Date/Time
2017-10-16 16:43:15

System / Python

Architecture
64bit
Machine
x86_64
Node
docker-deb-debian_9_stretch
Processor
None
Python Compiler
GCC 6.3.0 20170118
Python Implementation
CPython
Python Version
3.5.3
Release
4.9.0-0.bpo.3-amd64
System
Linux
Version
#1 SMP Debian 4.9.25-1~bpo8+1 (2017-05-19)

Dependencies

cartopy
---
decorator
4.0.11
flake8
3.2.1
future
0.16.0
geographiclib
1.46
lxml.etree
3.7.1
m2crypto
---
matplotlib
2.0.0
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.12.1
pep8-naming
---
pyflakes
1.3.0
pyimgur
0.5.3
pyproj
1.9.5.1
requests
2.12.4
scipy
0.18.1
setuptools
33.1.1
shapefile
1.2.10
sqlalchemy
1.0.15

Modules (53)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink - -
obspy.clients.earthworm - -
obspy.clients.fdsn - -
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink - -
obspy.clients.seishub 3 1 2 3
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup 1 4
Summary 4 4

Tracebacks (4)

Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.client.Client
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 87, in Client
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 110, in obspy.clients.seishub.client.Client
Failed example:
st = client.waveform.get_waveforms("BW", "RTBE", "", "EHZ", t, t + 20)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/urllib/request.py", line 1254, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.5/http/client.py", line 1107, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.5/http/client.py", line 1152, in _send_request
self.endheaders(body)
File "/usr/lib/python3.5/http/client.py", line 1103, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.5/http/client.py", line 934, in _send_output
self.send(msg)
File "/usr/lib/python3.5/http/client.py", line 877, in send
self.connect()
File "/usr/lib/python3.5/http/client.py", line 849, in connect
(self.host,self.port), self.timeout, self.source_address)
File "/usr/lib/python3.5/socket.py", line 712, in create_connection
raise err
File "/usr/lib/python3.5/socket.py", line 703, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client.Client[3]>", line 1, in <module>
st = client.waveform.get_waveforms("BW", "RTBE", "", "EHZ", t, t + 20)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 504, in get_waveforms
data = self.client._fetch(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.5/urllib/request.py", line 163, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.5/urllib/request.py", line 466, in open
response = self._open(req, data)
File "/usr/lib/python3.5/urllib/request.py", line 484, in _open
'_open', req)
File "/usr/lib/python3.5/urllib/request.py", line 444, in _call_chain
result = func(*args)
File "/usr/lib/python3.5/urllib/request.py", line 1282, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.5/urllib/request.py", line 1256, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 111, in obspy.clients.seishub.client.Client
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client.Client[4]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.client._StationMapperClient.get_paz
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 704, in get_paz
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 721, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz = c.station.get_paz('BW.MANZ..EHZ', '20090707')
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/urllib/request.py", line 1254, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.5/http/client.py", line 1107, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.5/http/client.py", line 1152, in _send_request
self.endheaders(body)
File "/usr/lib/python3.5/http/client.py", line 1103, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.5/http/client.py", line 934, in _send_output
self.send(msg)
File "/usr/lib/python3.5/http/client.py", line 877, in send
self.connect()
File "/usr/lib/python3.5/http/client.py", line 849, in connect
(self.host,self.port), self.timeout, self.source_address)
File "/usr/lib/python3.5/socket.py", line 712, in create_connection
raise err
File "/usr/lib/python3.5/socket.py", line 703, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[1]>", line 1, in <module>
paz = c.station.get_paz('BW.MANZ..EHZ', '20090707')
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 745, in get_paz
datetime=datetime)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 641, in get_list
root = self.client._objectify(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.5/urllib/request.py", line 163, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.5/urllib/request.py", line 466, in open
response = self._open(req, data)
File "/usr/lib/python3.5/urllib/request.py", line 484, in _open
'_open', req)
File "/usr/lib/python3.5/urllib/request.py", line 444, in _call_chain
result = func(*args)
File "/usr/lib/python3.5/urllib/request.py", line 1282, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.5/urllib/request.py", line 1256, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 722, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['zeros']
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[2]>", line 1, in <module>
paz['zeros']
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 724, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
len(paz['poles'])
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[3]>", line 1, in <module>
len(paz['poles'])
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 726, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
print(paz['poles'][0])
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[4]>", line 1, in <module>
print(paz['poles'][0])
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 728, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['gain']
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[5]>", line 1, in <module>
paz['gain']
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 730, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['sensitivity']
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[6]>", line 1, in <module>
paz['sensitivity']
NameError: name 'paz' is not defined
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.__init__
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 1, in __init__
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 22, in obspy.clients.seishub.__init__
Failed example:
st = client.waveform.get_waveforms("BW", "MANZ", "", "EH*", t, t+20)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/urllib/request.py", line 1254, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.5/http/client.py", line 1107, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.5/http/client.py", line 1152, in _send_request
self.endheaders(body)
File "/usr/lib/python3.5/http/client.py", line 1103, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.5/http/client.py", line 934, in _send_output
self.send(msg)
File "/usr/lib/python3.5/http/client.py", line 877, in send
self.connect()
File "/usr/lib/python3.5/http/client.py", line 849, in connect
(self.host,self.port), self.timeout, self.source_address)
File "/usr/lib/python3.5/socket.py", line 712, in create_connection
raise err
File "/usr/lib/python3.5/socket.py", line 703, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[4]>", line 1, in <module>
st = client.waveform.get_waveforms("BW", "MANZ", "", "EH*", t, t+20)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 504, in get_waveforms
data = self.client._fetch(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.5/urllib/request.py", line 163, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.5/urllib/request.py", line 466, in open
response = self._open(req, data)
File "/usr/lib/python3.5/urllib/request.py", line 484, in _open
'_open', req)
File "/usr/lib/python3.5/urllib/request.py", line 444, in _call_chain
result = func(*args)
File "/usr/lib/python3.5/urllib/request.py", line 1282, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.5/urllib/request.py", line 1256, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 23, in obspy.clients.seishub.__init__
Failed example:
st.sort() # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[5]>", line 1, in <module>
st.sort() # doctest: +ELLIPSIS
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 25, in obspy.clients.seishub.__init__
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[6]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 37, in obspy.clients.seishub.__init__
Failed example:
sta_ids = client.waveform.get_station_ids(network='BW')
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/urllib/request.py", line 1254, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.5/http/client.py", line 1107, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.5/http/client.py", line 1152, in _send_request
self.endheaders(body)
File "/usr/lib/python3.5/http/client.py", line 1103, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.5/http/client.py", line 934, in _send_output
self.send(msg)
File "/usr/lib/python3.5/http/client.py", line 877, in send
self.connect()
File "/usr/lib/python3.5/http/client.py", line 849, in connect
(self.host,self.port), self.timeout, self.source_address)
File "/usr/lib/python3.5/socket.py", line 712, in create_connection
raise err
File "/usr/lib/python3.5/socket.py", line 703, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[8]>", line 1, in <module>
sta_ids = client.waveform.get_station_ids(network='BW')
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 376, in get_station_ids
root = self.client._objectify(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.5/urllib/request.py", line 163, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.5/urllib/request.py", line 466, in open
response = self._open(req, data)
File "/usr/lib/python3.5/urllib/request.py", line 484, in _open
'_open', req)
File "/usr/lib/python3.5/urllib/request.py", line 444, in _call_chain
result = func(*args)
File "/usr/lib/python3.5/urllib/request.py", line 1282, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.5/urllib/request.py", line 1256, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 41, in obspy.clients.seishub.__init__
Failed example:
cha_ids = client.waveform.get_channel_ids(network='BW', station='MANZ')
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/urllib/request.py", line 1254, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.5/http/client.py", line 1107, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.5/http/client.py", line 1152, in _send_request
self.endheaders(body)
File "/usr/lib/python3.5/http/client.py", line 1103, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.5/http/client.py", line 934, in _send_output
self.send(msg)
File "/usr/lib/python3.5/http/client.py", line 877, in send
self.connect()
File "/usr/lib/python3.5/http/client.py", line 849, in connect
(self.host,self.port), self.timeout, self.source_address)
File "/usr/lib/python3.5/socket.py", line 712, in create_connection
raise err
File "/usr/lib/python3.5/socket.py", line 703, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[10]>", line 1, in <module>
cha_ids = client.waveform.get_channel_ids(network='BW', station='MANZ')
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 417, in get_channel_ids
root = self.client._objectify(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.5/urllib/request.py", line 163, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.5/urllib/request.py", line 466, in open
response = self._open(req, data)
File "/usr/lib/python3.5/urllib/request.py", line 484, in _open
'_open', req)
File "/usr/lib/python3.5/urllib/request.py", line 444, in _call_chain
result = func(*args)
File "/usr/lib/python3.5/urllib/request.py", line 1282, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.5/urllib/request.py", line 1256, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 42, in obspy.clients.seishub.__init__
Failed example:
sorted(cha_ids) # doctest: +NORMALIZE_WHITESPACE
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[11]>", line 1, in <module>
sorted(cha_ids) # doctest: +NORMALIZE_WHITESPACE
NameError: name 'cha_ids' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 46, in obspy.clients.seishub.__init__
Failed example:
paz = client.station.get_paz('BW.MANZ..EHZ', UTCDateTime('20090808'))
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/urllib/request.py", line 1254, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.5/http/client.py", line 1107, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.5/http/client.py", line 1152, in _send_request
self.endheaders(body)
File "/usr/lib/python3.5/http/client.py", line 1103, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.5/http/client.py", line 934, in _send_output
self.send(msg)
File "/usr/lib/python3.5/http/client.py", line 877, in send
self.connect()
File "/usr/lib/python3.5/http/client.py", line 849, in connect
(self.host,self.port), self.timeout, self.source_address)
File "/usr/lib/python3.5/socket.py", line 712, in create_connection
raise err
File "/usr/lib/python3.5/socket.py", line 703, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[12]>", line 1, in <module>
paz = client.station.get_paz('BW.MANZ..EHZ', UTCDateTime('20090808'))
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 745, in get_paz
datetime=datetime)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 641, in get_list
root = self.client._objectify(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.5/urllib/request.py", line 163, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.5/urllib/request.py", line 466, in open
response = self._open(req, data)
File "/usr/lib/python3.5/urllib/request.py", line 484, in _open
'_open', req)
File "/usr/lib/python3.5/urllib/request.py", line 444, in _call_chain
result = func(*args)
File "/usr/lib/python3.5/urllib/request.py", line 1282, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.5/urllib/request.py", line 1256, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 47, in obspy.clients.seishub.__init__
Failed example:
paz = paz.items()
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[13]>", line 1, in <module>
paz = paz.items()
NameError: name 'paz' is not defined
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/taup/tests/test_plotting.py", line 153, in test_cartesian_many_phases_one_way
raise
RuntimeError: No active exception to reraise

Skipped Tests (31)

Submodule Test Skip Message
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) PyCrypto is not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) flake8 check disabled
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.

Slowest Tests (20)

Runtime Test
320.379s __init__ (obspy.clients.seishub)
80.110s get_paz (obspy.clients.seishub.client._StationMapperClient)
80.071s Client (obspy.clients.seishub.client)
20.805s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
17.340s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
14.076s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
13.283s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
13.247s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
12.353s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
11.080s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
11.048s __init__ (obspy.clients.syngine)
10.835s test_get_waveform_nscl (obspy.clients.neic.tests.test_client.ClientTestCase)
10.324s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.999s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
9.283s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
9.212s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.895s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)
8.424s __init__ (obspy.clients.fdsn)
7.577s test_get_stations (obspy.clients.arclink.tests.test_client.ClientTestCase)
7.405s __init__ (obspy.taup)

Chuck Norris Fact

Chuck Norris's first program was kill -9.